Bug 65710 - ICE leaves stale sessions in /tmp/.ICE-unix, causes gdm crash
Summary: ICE leaves stale sessions in /tmp/.ICE-unix, causes gdm crash
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-30 16:56 UTC by John Verel
Modified: 2014-03-17 02:27 UTC (History)
3 users (show)

Fixed In Version: 6.86-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 21:36:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Verel 2002-05-30 16:56:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
ICE sometimes leaves stale sessions in/fails to remove sessions from
/tmp/.ICE-unix.  The effect of this is that upon next boot of the instant user,
gdm will crash on first login attempt.  ~/.xsession-errors will have this message:

_IceTransSocketUNIXCreateListener: ...SocketCreateListener() failed
_IceTransMakeAllCOTSServerListeners: server already running

** WARNING **: Cannot establish any listening sockets

On second boot, this error message goes away, replace with (say)
SESSION_MANAGER=local/Verdi:/tmp/.ICE-unix/1195

The fix for this is to delete stale entries in /tmp/.ICE-unix.

This problem will NOT occur if another user has sucessfully logged in before the
user with the stale session logs in.

Version-Release number of selected component (if applicable):

XFree86-4.2.0-8

How reproducible:
Always

Steps to Reproduce:
1. Observe "first boot" crash (cause unknown)
2. Login sucessfully to gdm on second boot.
3. Observe stale /tmp/.ICE-unix session and remove.
	

Actual Results:  Unable to log in first time.

Expected Results:  The boot process, e.g. rc.sysinit, should check
/tmp/.ICE-unix to ensure it is empty during boot.  If not empty, clear it.

Additional info:

Comment 1 John Verel 2002-07-15 02:03:09 UTC
FWIW, I recently discovered the /usr/bin/startkde does exactly the kind of
housekeeping re: /tmp files discussed in this bug.  To wit, lines 7-12, my stock
RH7.3 install:

# Clean up old kde /tmp files that belong to the user
real_display=`echo $DISPLAY | sed "s/://" | sed "s/\..*//"`
rm -f ~/.DCOPserver-`/bin/hostname`_$DISPLAY
for i in /tmp/.ICE-unix/* /tmp/.ICE-unix/.*; do
        [ -O $i ] && rm -f $i
done

John

Comment 2 Bill Nottingham 2002-07-17 05:01:18 UTC
This should be fixed in the latest rawhide initscripts.

Comment 3 Bill Nottingham 2002-07-17 05:04:40 UTC
(i.e., 6.86-1 or later)


Note You need to log in before you can comment on or make changes to this bug.